<div class="ag-grid-test">
    <mat-toolbar class="subtoolbar">
      <span class="subtoolbar-header">Ag-Grid Test</span>
    </mat-toolbar>
    <mat-card class="ag-grid-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="5px">
        <div class="top-header-filter" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
          <div class="left-text">
            <span style="font-weight: 600;">Agency: &nbsp;</span> Camba 2005
          </div>
          <div class="right-text">
            <mat-form-field>
              <mat-label>Referring Site</mat-label>
              <mat-select>
                <mat-option *ngFor="let site of sites" [value]="site.value">
                  {{site.viewValue}}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <button mat-raised-button>GO</button>
          </div>
        </div>
        <div fxLayout="row" class="second-header-filter">
          <span><b>Pending: </b> <span>18</span></span>
          <span style="color: red"><b>Overdue: </b> <span>1</span></span>
          <span><b>Accepted/Pending Approval: </b> <span>1</span></span>
          <span><b>Move-In: </b> <span>1</span></span>
          <span><b>Not Accepted: </b> <span>1</span></span>
          <span style="color: red"><b>External: </b> <span>1</span></span>
        </div>
      </mat-card-header>
      <mat-card-content>
        <mat-tab-group dynamicHeight>
          <mat-tab>
            <ng-template matTabLabel>
              <span>Completed</span>
            </ng-template>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                  <ag-grid-angular
                    #agGrid
                    id= "myGrid"
                    style="width: 100%; height: calc(100vh - 420px);"
                    class="ag-theme-balham"
                    [columnDefs]="columnDefs"
                    [defaultColDef]="defaultColDef"
                    [rowData]="rowData"
                    [rowSelection]="rowSelection"
                    [singleClickEdit]="true"
                    [floatingFilter]="true"
                    [animateRows]="true"
                    [pagination]="true"
                    [gridOptions]="gridOptions"
                    [paginationAutoPageSize]="true"
                    (rowSelected)="onRowSelected($event)"
                    [frameworkComponents]="frameworkComponents"
                    (gridReady)="onGridReady($event)">
                  </ag-grid-angular>
  
                  <button mat-raised-button (click)="getSelectedRows()">Get Selected Rows</button>
              </div>
            </div>
          </mat-tab>
        </mat-tab-group>
      </mat-card-content>
    </mat-card>
  </div>
  